# Broadcast messages

## Send group message

#### Method

post

#### Path

/v1/official/group\_send

#### Parameters

* content - json with the following fields:
  * `type` : `string` message type, only support "text" currently.
  * `value` : `json` with the following fields
    * `url`: `string` - url link
    * `data`: `string` - content
    * `version`: `string` - current version: v1
* `address_list` : `array` - The address list you want to send hi messages, max length: 10,000.
* `max_offer_price` : `integer` - max offer price, If the offer price for the address is higher than this value, no message will be sent to the address. The decimal of max\_offer\_price is 4, eg. you want to set max offer price to $1, the max\_offer\_price = 10,000.
* `prepayment_amount` : `integer` - You are willing to prepay the funds for this grou send message. If the user does not open your offer in the end, the remaining money will be refunded to your account after settlement. The decimal of prepaymen\_amount is 4, eg. you want to set pre-payment amount to $100, the prepaymen\_amount = 1000,000.

#### Returns

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl 'https://pro-openapi.debank.com/v1/official/group_send' \
  -H 'AccessKey: YOUR_ACCESSKEY' \
  -H 'Content-Type: application/json' \
  --data-raw '{
    "address_list": ["0x5853ed4f26a3fcea565b3fbc698bb19cdf6deb85"],
    "content": {
        "type": "text", 
        "value": {"url": "https://example.com", 
                "data": "test group send message", 
                "version": "v1"}
                },
    "max_offer_price": 10000, // default $1
    "prepayment_amount": 10000}' \
  --compressed
```

{% endtab %}
{% endtabs %}

Result

* group send id


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloud.debank.com/en/official-account/api-reference/broadcast-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
